curl --request POST \
--url https://apigcp.trynia.ai/v2/dependencies/subscribe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest_content": "<string>",
"manifest_type": "package.json",
"filename": "<string>",
"include_dev_dependencies": false,
"max_new_indexes": 150
}
'{
"manifest_type": "<string>",
"total_dependencies": 123,
"results": {
"instant_access": [
{
"name": "<string>",
"action": "<string>",
"docs_url": "<string>",
"global_source_id": "<string>",
"namespace": "<string>",
"message": "<string>"
}
],
"wait_for_indexing": [
{
"name": "<string>",
"action": "<string>",
"docs_url": "<string>",
"global_source_id": "<string>",
"namespace": "<string>",
"message": "<string>"
}
],
"started_indexing": [
{
"name": "<string>",
"action": "<string>",
"docs_url": "<string>",
"global_source_id": "<string>",
"namespace": "<string>",
"message": "<string>"
}
],
"not_found": [
{
"name": "<string>",
"action": "<string>",
"docs_url": "<string>",
"global_source_id": "<string>",
"namespace": "<string>",
"message": "<string>"
}
],
"errors": [
{
"name": "<string>",
"action": "<string>",
"docs_url": "<string>",
"global_source_id": "<string>",
"namespace": "<string>",
"message": "<string>"
}
],
"skipped": [
{
"name": "<string>",
"action": "<string>",
"docs_url": "<string>",
"global_source_id": "<string>",
"namespace": "<string>",
"message": "<string>"
}
]
},
"summary": {
"instant_access": 123,
"wait_for_indexing": 123,
"started_indexing": 123,
"not_found": 123,
"errors": 123,
"skipped": 123
}
}Parse a package manifest and automatically subscribe to documentation for all dependencies.
curl --request POST \
--url https://apigcp.trynia.ai/v2/dependencies/subscribe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest_content": "<string>",
"manifest_type": "package.json",
"filename": "<string>",
"include_dev_dependencies": false,
"max_new_indexes": 150
}
'{
"manifest_type": "<string>",
"total_dependencies": 123,
"results": {
"instant_access": [
{
"name": "<string>",
"action": "<string>",
"docs_url": "<string>",
"global_source_id": "<string>",
"namespace": "<string>",
"message": "<string>"
}
],
"wait_for_indexing": [
{
"name": "<string>",
"action": "<string>",
"docs_url": "<string>",
"global_source_id": "<string>",
"namespace": "<string>",
"message": "<string>"
}
],
"started_indexing": [
{
"name": "<string>",
"action": "<string>",
"docs_url": "<string>",
"global_source_id": "<string>",
"namespace": "<string>",
"message": "<string>"
}
],
"not_found": [
{
"name": "<string>",
"action": "<string>",
"docs_url": "<string>",
"global_source_id": "<string>",
"namespace": "<string>",
"message": "<string>"
}
],
"errors": [
{
"name": "<string>",
"action": "<string>",
"docs_url": "<string>",
"global_source_id": "<string>",
"namespace": "<string>",
"message": "<string>"
}
],
"skipped": [
{
"name": "<string>",
"action": "<string>",
"docs_url": "<string>",
"global_source_id": "<string>",
"namespace": "<string>",
"message": "<string>"
}
]
},
"summary": {
"instant_access": 123,
"wait_for_indexing": 123,
"started_indexing": 123,
"not_found": 123,
"errors": 123,
"skipped": 123
}
}Documentation Index
Fetch the complete documentation index at: https://docs.trynia.ai/llms.txt
Use this file to discover all available pages before exploring further.
API key must be provided in the Authorization header
Raw content of the manifest file
Manifest type. Auto-detected if not provided.
package.json, requirements.txt, pyproject.toml, Cargo.toml, go.mod, Gemfile Original filename for type detection
Include devDependencies/dev-dependencies
Max number of new indexes to start (0-500)
0 <= x <= 500Was this page helpful?